Bug 615561 - k3b 2.0.0 with patches can be backported to Fedora 12
k3b 2.0.0 with patches can be backported to Fedora 12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-17 01:44 EDT by Simon Lewis
Modified: 2014-01-12 19:12 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:12:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Lewis 2010-07-17 01:44:26 EDT
For your info I have attached the spec file that I used to build k3b 2.0.0 on fc12 x86_64

There is a work-around to correct icons with wrong sizes and to remove troublesome languages.

Would be nice to see the kde4 version of k3b in fc12.
Comment 1 Simon Lewis 2010-07-17 01:47:21 EDT
Bugzilla doesn't like spec files as attachments so I have inserted the contents here:

Name:		k3b
Summary:	CD/DVD/Blu-ray burning application
Version:	2.0.0
Release:	2%{?dist}
Epoch:		1

Group:		Applications/Archiving
License:	GPLv2+
URL:		http://www.k3b.org/
Source0:	k3b-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# k3b app icon missing, https://bugzilla.redhat.com/show_bug.cgi?id=611272
Source1:	ox32-k3b.png

BuildRequires:	desktop-file-utils
BuildRequires:	cdparanoia-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	flac-devel
BuildRequires:	gettext
BuildRequires:	kdelibs4-devel
BuildRequires:	kdemultimedia-devel
BuildRequires:	lame-devel
BuildRequires:	libdvdread-devel
BuildRequires:	libmad-devel
BuildRequires:	libmpcdec-devel
BuildRequires:	libmusicbrainz-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libvorbis-devel
BuildRequires:	polkit-qt-devel
BuildRequires:	sox-devel
BuildRequires:	taglib-devel
BuildRequires:	vcdimager-devel
# only needed to patch broken images in the upstream tarball:
BuildRequires:	ImageMagick

Requires:	kdebase-runtime%{?_kde_version: >= %{_kde4_version}}
Requires:	%{name}-libs%{?_isa} = %{epoch}:%{version}-%{release}
Requires:	%{name}-common = %{epoch}:%{version}-%{release}

Requires:	cdrdao
Requires:	cdrecord
Requires:	dvd+rw-tools
Requires:	mkisofs
Requires:	transcode

%description
K3b provides a comfortable user interface to perform most CD/DVD
burning tasks. While the experienced user can take influence in all
steps of the burning process the beginner may find comfort in the
automatic settings and the reasonable k3b defaults which allow a quick
start.

%package common
Summary:	Common files of %{name}
Group:		Applications/Archiving
Requires:	%{name} = %{epoch}:%{version}-%{release}
BuildArch:	noarch
%description common
{summary}.

%package libs
Summary:	Runtime libraries for %{name}
Group:		System Environment/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
%description libs
%{summary}.

%package devel
Summary:	Files for the development of applications which will use %{name} 
Group:		Development/Libraries
Requires:	%{name}-libs%{?_isa} = %{epoch}:%{version}-%{release}
%description devel
%{summary}.

%prep
%setup -q -n %{name}-%{version}
for l in ast ca@valencia csb hne sr@ijekavian sr@ijekavianlatin sr@latin; do
	%__rm -rf "po/$l"
	%__sed -i "/add_subdirectory( $l )/d" po/CMakeLists.txt
done

# patch image with wrong dimensions
pushd src/icons/actions
for f in hi16*.png; do
	geom=$(identify -ping "$f"|cut -f3 -d" ")
	x=${geom%x*}
	y=${geom#*x}
	if [ "$x" != "16" -o "$y" != "16" ]; then
		if [ "$x" -gt "$y" ]; then
			nugeom="${x}x${x}"
			grav=south
		elif [ "$x" -lt "$y" ]; then
			nugeom="${y}x${y}"
			grav=center
		else
			nugeom=""
		fi
	[ -n "$nugeom" ] && mogrify -extent "$nugeom" -background transparent -gravity "$grav" "$f"
	mogrify -scale 16x16 -background transparent "$f"
	fi
done
popd

%build
mkdir build
pushd build
%{cmake_kde4} \
	-DK3B_BUILD_K3BSETUP:BOOL=OFF \
	..
%__make %{?_smp_mflags}
popd

%install
%__rm -rf %{buildroot}

pushd build
%__make DESTDIR=%{buildroot} install
popd

%find_lang k3b --with-kde
%find_lang k3bsetup
%find_lang libk3b
%find_lang libk3bdevice 
cat libk3bdevice.lang >> libk3b.lang

# k3b app icon missing, https://bugzilla.redhat.com/show_bug.cgi?id=611272
if [ ! -f %{buildroot}%{_kde4_iconsdir}/hicolor/32x32/apps/k3b.png ]; then
  echo "NOTICE: %{_kde4_iconsdir}/hicolor/32x32/apps/k3b.png missing, borrowing oxygen version"
  install -pD -m644 %{SOURCE1} %{buildroot}%{_kde4_iconsdir}/hicolor/32x32/apps/k3b.png
fi

%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/k3b.desktop

%clean
rm -rf %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null
update-mime-database %{_kde4_datadir}/mime &> /dev/null
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null
update-mime-database %{_kde4_datadir}/mime &> /dev/null

%files %{?!common: -f k3b.lang}
%defattr(-,root,root,-)
%doc README COPYING COPYING.DOC ChangeLog
%{_kde4_bindir}/k3b
%{_kde4_libdir}/kde4/*.so
%{_kde4_appsdir}/konqsidebartng/virtual_folders/services/*.desktop
%{_kde4_appsdir}/solid/actions/k3b*.desktop
%{_kde4_datadir}/applications/kde4/k3b.desktop
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/services/*.protocol
%{_kde4_datadir}/kde4/services/ServiceMenus/k3b*.desktop
%{_kde4_datadir}/kde4/servicetypes/k3b*.desktop
%{_kde4_datadir}/mime/packages/x-k3b.xml
%{_kde4_iconsdir}/hicolor/*/*/*
%{_datadir}/locale/*/LC_MESSAGES/k3bsetup.mo

%files common -f k3b.lang
%defattr(-,root,root,-)
%{_kde4_appsdir}/k3b/
%{_kde4_datadir}/sounds/k3b_*

%files libs -f libk3b.lang
%defattr(-,root,root,-)
%{_kde4_libdir}/libk3bdevice.so.6*
%{_kde4_libdir}/libk3blib.so.6*

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/k3b*.h
%{_kde4_libdir}/libk3bdevice.so
%{_kde4_libdir}/libk3blib.so

%changelog
* Sat Jul 10 2010 Simon Lewis <simon.lewis@slnet-online.de> - 2.0.0-2.sl
- Initial build
Comment 2 Bug Zapper 2010-11-03 07:52:21 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Simon Lewis 2010-11-03 14:31:00 EDT
Please backport this to fc12 before support for fc12 runs-out
Comment 4 Bug Zapper 2010-12-03 08:12:43 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.